package test.org.seasar.framework.container.impl;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class ContainerImplAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ContainerImplAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.framework.container.impl");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(ArgDefImplTest.class));
		suite.addTest(new TestSuite(AspectDefImplTest.class));
		suite.addTest(new TestSuite(ComponentDefImplTest.class));
		suite.addTest(new TestSuite(S2ContainerImplTest.class));
		//$JUnit-END$
		return suite;
	}
}
